package com.bocloud.nms.model.hillstone;

import java.util.Objects;

// VPN IPsec 配置代理ID
public class VpnIpsecConfigProxyIdModel extends HillStoneGenericModel {
    private Long vpnIpsecConfigId; // 所属IPSecVPN Id
    private String vpnIpsecConfig; // 所属IPSecVPN
    private Long localIp; // 本地IP
    private Long localMask; // 本地IP
    private Long remoteIp; // 远程IP
    private Long remoteMask; // 远程IP
    private Long serviceId; // 服务id
    private String service; // 服务

    public Long getVpnIpsecConfigId() {
        return vpnIpsecConfigId;
    }

    public void setVpnIpsecConfigId(Long vpnIpsecConfigId) {
        this.vpnIpsecConfigId = vpnIpsecConfigId;
    }

    public String getVpnIpsecConfig() {
        return vpnIpsecConfig;
    }

    public void setVpnIpsecConfig(String vpnIpsecConfig) {
        this.vpnIpsecConfig = vpnIpsecConfig;
    }

    public Long getLocalIp() {
        return localIp;
    }

    public void setLocalIp(Long localIp) {
        this.localIp = localIp;
    }

    public Long getLocalMask() {
        return localMask;
    }

    public void setLocalMask(Long localMask) {
        this.localMask = localMask;
    }

    public Long getRemoteIp() {
        return remoteIp;
    }

    public void setRemoteIp(Long remoteIp) {
        this.remoteIp = remoteIp;
    }

    public Long getRemoteMask() {
        return remoteMask;
    }

    public void setRemoteMask(Long remoteMask) {
        this.remoteMask = remoteMask;
    }

    public Long getServiceId() {
        return serviceId;
    }

    public void setServiceId(Long serviceId) {
        this.serviceId = serviceId;
    }

    public String getService() {
        return service;
    }

    public void setService(String service) {
        this.service = service;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        VpnIpsecConfigProxyIdModel proxyId = (VpnIpsecConfigProxyIdModel) o;
        return Objects.equals(vpnIpsecConfigId, proxyId.vpnIpsecConfigId) &&
            Objects.equals(localIp, proxyId.localIp) &&
            Objects.equals(localMask, proxyId.localMask);
    }

    @Override
    public int hashCode() {
        return Objects.hash(vpnIpsecConfigId, localIp, localMask);
    }
}
